Search
lxdream.org :: lxdream :: r179:18dacd91aa73
lxdream 0.9.1
released Jun 29
Download Now
changeset179:18dacd91aa73 MILESTONE1
parent178:a3c29cc7ff4c
child180:e6dcf9b65658
authornkeynes
dateTue Jun 27 14:02:27 2006 +0000 (13 years ago)
Add default automake files
COPYING
INSTALL
depcomp
install-sh
missing
1.1 --- /dev/null Thu Jan 01 00:00:00 1970 +0000
1.2 +++ b/COPYING Tue Jun 27 14:02:27 2006 +0000
1.3 @@ -0,0 +1,340 @@
1.4 + GNU GENERAL PUBLIC LICENSE
1.5 + Version 2, June 1991
1.6 +
1.7 + Copyright (C) 1989, 1991 Free Software Foundation, Inc.
1.8 + 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
1.9 + Everyone is permitted to copy and distribute verbatim copies
1.10 + of this license document, but changing it is not allowed.
1.11 +
1.12 + Preamble
1.13 +
1.14 + The licenses for most software are designed to take away your
1.15 +freedom to share and change it. By contrast, the GNU General Public
1.16 +License is intended to guarantee your freedom to share and change free
1.17 +software--to make sure the software is free for all its users. This
1.18 +General Public License applies to most of the Free Software
1.19 +Foundation's software and to any other program whose authors commit to
1.20 +using it. (Some other Free Software Foundation software is covered by
1.21 +the GNU Library General Public License instead.) You can apply it to
1.22 +your programs, too.
1.23 +
1.24 + When we speak of free software, we are referring to freedom, not
1.25 +price. Our General Public Licenses are designed to make sure that you
1.26 +have the freedom to distribute copies of free software (and charge for
1.27 +this service if you wish), that you receive source code or can get it
1.28 +if you want it, that you can change the software or use pieces of it
1.29 +in new free programs; and that you know you can do these things.
1.30 +
1.31 + To protect your rights, we need to make restrictions that forbid
1.32 +anyone to deny you these rights or to ask you to surrender the rights.
1.33 +These restrictions translate to certain responsibilities for you if you
1.34 +distribute copies of the software, or if you modify it.
1.35 +
1.36 + For example, if you distribute copies of such a program, whether
1.37 +gratis or for a fee, you must give the recipients all the rights that
1.38 +you have. You must make sure that they, too, receive or can get the
1.39 +source code. And you must show them these terms so they know their
1.40 +rights.
1.41 +
1.42 + We protect your rights with two steps: (1) copyright the software, and
1.43 +(2) offer you this license which gives you legal permission to copy,
1.44 +distribute and/or modify the software.
1.45 +
1.46 + Also, for each author's protection and ours, we want to make certain
1.47 +that everyone understands that there is no warranty for this free
1.48 +software. If the software is modified by someone else and passed on, we
1.49 +want its recipients to know that what they have is not the original, so
1.50 +that any problems introduced by others will not reflect on the original
1.51 +authors' reputations.
1.52 +
1.53 + Finally, any free program is threatened constantly by software
1.54 +patents. We wish to avoid the danger that redistributors of a free
1.55 +program will individually obtain patent licenses, in effect making the
1.56 +program proprietary. To prevent this, we have made it clear that any
1.57 +patent must be licensed for everyone's free use or not licensed at all.
1.58 +
1.59 + The precise terms and conditions for copying, distribution and
1.60 +modification follow.
1.61 +
1.62 + GNU GENERAL PUBLIC LICENSE
1.63 + TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
1.64 +
1.65 + 0. This License applies to any program or other work which contains
1.66 +a notice placed by the copyright holder saying it may be distributed
1.67 +under the terms of this General Public License. The "Program", below,
1.68 +refers to any such program or work, and a "work based on the Program"
1.69 +means either the Program or any derivative work under copyright law:
1.70 +that is to say, a work containing the Program or a portion of it,
1.71 +either verbatim or with modifications and/or translated into another
1.72 +language. (Hereinafter, translation is included without limitation in
1.73 +the term "modification".) Each licensee is addressed as "you".
1.74 +
1.75 +Activities other than copying, distribution and modification are not
1.76 +covered by this License; they are outside its scope. The act of
1.77 +running the Program is not restricted, and the output from the Program
1.78 +is covered only if its contents constitute a work based on the
1.79 +Program (independent of having been made by running the Program).
1.80 +Whether that is true depends on what the Program does.
1.81 +
1.82 + 1. You may copy and distribute verbatim copies of the Program's
1.83 +source code as you receive it, in any medium, provided that you
1.84 +conspicuously and appropriately publish on each copy an appropriate
1.85 +copyright notice and disclaimer of warranty; keep intact all the
1.86 +notices that refer to this License and to the absence of any warranty;
1.87 +and give any other recipients of the Program a copy of this License
1.88 +along with the Program.
1.89 +
1.90 +You may charge a fee for the physical act of transferring a copy, and
1.91 +you may at your option offer warranty protection in exchange for a fee.
1.92 +
1.93 + 2. You may modify your copy or copies of the Program or any portion
1.94 +of it, thus forming a work based on the Program, and copy and
1.95 +distribute such modifications or work under the terms of Section 1
1.96 +above, provided that you also meet all of these conditions:
1.97 +
1.98 + a) You must cause the modified files to carry prominent notices
1.99 + stating that you changed the files and the date of any change.
1.100 +
1.101 + b) You must cause any work that you distribute or publish, that in
1.102 + whole or in part contains or is derived from the Program or any
1.103 + part thereof, to be licensed as a whole at no charge to all third
1.104 + parties under the terms of this License.
1.105 +
1.106 + c) If the modified program normally reads commands interactively
1.107 + when run, you must cause it, when started running for such
1.108 + interactive use in the most ordinary way, to print or display an
1.109 + announcement including an appropriate copyright notice and a
1.110 + notice that there is no warranty (or else, saying that you provide
1.111 + a warranty) and that users may redistribute the program under
1.112 + these conditions, and telling the user how to view a copy of this
1.113 + License. (Exception: if the Program itself is interactive but
1.114 + does not normally print such an announcement, your work based on
1.115 + the Program is not required to print an announcement.)
1.116 +
1.117 +These requirements apply to the modified work as a whole. If
1.118 +identifiable sections of that work are not derived from the Program,
1.119 +and can be reasonably considered independent and separate works in
1.120 +themselves, then this License, and its terms, do not apply to those
1.121 +sections when you distribute them as separate works. But when you
1.122 +distribute the same sections as part of a whole which is a work based
1.123 +on the Program, the distribution of the whole must be on the terms of
1.124 +this License, whose permissions for other licensees extend to the
1.125 +entire whole, and thus to each and every part regardless of who wrote it.
1.126 +
1.127 +Thus, it is not the intent of this section to claim rights or contest
1.128 +your rights to work written entirely by you; rather, the intent is to
1.129 +exercise the right to control the distribution of derivative or
1.130 +collective works based on the Program.
1.131 +
1.132 +In addition, mere aggregation of another work not based on the Program
1.133 +with the Program (or with a work based on the Program) on a volume of
1.134 +a storage or distribution medium does not bring the other work under
1.135 +the scope of this License.
1.136 +
1.137 + 3. You may copy and distribute the Program (or a work based on it,
1.138 +under Section 2) in object code or executable form under the terms of
1.139 +Sections 1 and 2 above provided that you also do one of the following:
1.140 +
1.141 + a) Accompany it with the complete corresponding machine-readable
1.142 + source code, which must be distributed under the terms of Sections
1.143 + 1 and 2 above on a medium customarily used for software interchange; or,
1.144 +
1.145 + b) Accompany it with a written offer, valid for at least three
1.146 + years, to give any third party, for a charge no more than your
1.147 + cost of physically performing source distribution, a complete
1.148 + machine-readable copy of the corresponding source code, to be
1.149 + distributed under the terms of Sections 1 and 2 above on a medium
1.150 + customarily used for software interchange; or,
1.151 +
1.152 + c) Accompany it with the information you received as to the offer
1.153 + to distribute corresponding source code. (This alternative is
1.154 + allowed only for noncommercial distribution and only if you
1.155 + received the program in object code or executable form with such
1.156 + an offer, in accord with Subsection b above.)
1.157 +
1.158 +The source code for a work means the preferred form of the work for
1.159 +making modifications to it. For an executable work, complete source
1.160 +code means all the source code for all modules it contains, plus any
1.161 +associated interface definition files, plus the scripts used to
1.162 +control compilation and installation of the executable. However, as a
1.163 +special exception, the source code distributed need not include
1.164 +anything that is normally distributed (in either source or binary
1.165 +form) with the major components (compiler, kernel, and so on) of the
1.166 +operating system on which the executable runs, unless that component
1.167 +itself accompanies the executable.
1.168 +
1.169 +If distribution of executable or object code is made by offering
1.170 +access to copy from a designated place, then offering equivalent
1.171 +access to copy the source code from the same place counts as
1.172 +distribution of the source code, even though third parties are not
1.173 +compelled to copy the source along with the object code.
1.174 +
1.175 + 4. You may not copy, modify, sublicense, or distribute the Program
1.176 +except as expressly provided under this License. Any attempt
1.177 +otherwise to copy, modify, sublicense or distribute the Program is
1.178 +void, and will automatically terminate your rights under this License.
1.179 +However, parties who have received copies, or rights, from you under
1.180 +this License will not have their licenses terminated so long as such
1.181 +parties remain in full compliance.
1.182 +
1.183 + 5. You are not required to accept this License, since you have not
1.184 +signed it. However, nothing else grants you permission to modify or
1.185 +distribute the Program or its derivative works. These actions are
1.186 +prohibited by law if you do not accept this License. Therefore, by
1.187 +modifying or distributing the Program (or any work based on the
1.188 +Program), you indicate your acceptance of this License to do so, and
1.189 +all its terms and conditions for copying, distributing or modifying
1.190 +the Program or works based on it.
1.191 +
1.192 + 6. Each time you redistribute the Program (or any work based on the
1.193 +Program), the recipient automatically receives a license from the
1.194 +original licensor to copy, distribute or modify the Program subject to
1.195 +these terms and conditions. You may not impose any further
1.196 +restrictions on the recipients' exercise of the rights granted herein.
1.197 +You are not responsible for enforcing compliance by third parties to
1.198 +this License.
1.199 +
1.200 + 7. If, as a consequence of a court judgment or allegation of patent
1.201 +infringement or for any other reason (not limited to patent issues),
1.202 +conditions are imposed on you (whether by court order, agreement or
1.203 +otherwise) that contradict the conditions of this License, they do not
1.204 +excuse you from the conditions of this License. If you cannot
1.205 +distribute so as to satisfy simultaneously your obligations under this
1.206 +License and any other pertinent obligations, then as a consequence you
1.207 +may not distribute the Program at all. For example, if a patent
1.208 +license would not permit royalty-free redistribution of the Program by
1.209 +all those who receive copies directly or indirectly through you, then
1.210 +the only way you could satisfy both it and this License would be to
1.211 +refrain entirely from distribution of the Program.
1.212 +
1.213 +If any portion of this section is held invalid or unenforceable under
1.214 +any particular circumstance, the balance of the section is intended to
1.215 +apply and the section as a whole is intended to apply in other
1.216 +circumstances.
1.217 +
1.218 +It is not the purpose of this section to induce you to infringe any
1.219 +patents or other property right claims or to contest validity of any
1.220 +such claims; this section has the sole purpose of protecting the
1.221 +integrity of the free software distribution system, which is
1.222 +implemented by public license practices. Many people have made
1.223 +generous contributions to the wide range of software distributed
1.224 +through that system in reliance on consistent application of that
1.225 +system; it is up to the author/donor to decide if he or she is willing
1.226 +to distribute software through any other system and a licensee cannot
1.227 +impose that choice.
1.228 +
1.229 +This section is intended to make thoroughly clear what is believed to
1.230 +be a consequence of the rest of this License.
1.231 +
1.232 + 8. If the distribution and/or use of the Program is restricted in
1.233 +certain countries either by patents or by copyrighted interfaces, the
1.234 +original copyright holder who places the Program under this License
1.235 +may add an explicit geographical distribution limitation excluding
1.236 +those countries, so that distribution is permitted only in or among
1.237 +countries not thus excluded. In such case, this License incorporates
1.238 +the limitation as if written in the body of this License.
1.239 +
1.240 + 9. The Free Software Foundation may publish revised and/or new versions
1.241 +of the General Public License from time to time. Such new versions will
1.242 +be similar in spirit to the present version, but may differ in detail to
1.243 +address new problems or concerns.
1.244 +
1.245 +Each version is given a distinguishing version number. If the Program
1.246 +specifies a version number of this License which applies to it and "any
1.247 +later version", you have the option of following the terms and conditions
1.248 +either of that version or of any later version published by the Free
1.249 +Software Foundation. If the Program does not specify a version number of
1.250 +this License, you may choose any version ever published by the Free Software
1.251 +Foundation.
1.252 +
1.253 + 10. If you wish to incorporate parts of the Program into other free
1.254 +programs whose distribution conditions are different, write to the author
1.255 +to ask for permission. For software which is copyrighted by the Free
1.256 +Software Foundation, write to the Free Software Foundation; we sometimes
1.257 +make exceptions for this. Our decision will be guided by the two goals
1.258 +of preserving the free status of all derivatives of our free software and
1.259 +of promoting the sharing and reuse of software generally.
1.260 +
1.261 + NO WARRANTY
1.262 +
1.263 + 11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
1.264 +FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN
1.265 +OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
1.266 +PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
1.267 +OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
1.268 +MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS
1.269 +TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE
1.270 +PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
1.271 +REPAIR OR CORRECTION.
1.272 +
1.273 + 12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
1.274 +WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
1.275 +REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
1.276 +INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
1.277 +OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
1.278 +TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
1.279 +YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
1.280 +PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
1.281 +POSSIBILITY OF SUCH DAMAGES.
1.282 +
1.283 + END OF TERMS AND CONDITIONS
1.284 +
1.285 + How to Apply These Terms to Your New Programs
1.286 +
1.287 + If you develop a new program, and you want it to be of the greatest
1.288 +possible use to the public, the best way to achieve this is to make it
1.289 +free software which everyone can redistribute and change under these terms.
1.290 +
1.291 + To do so, attach the following notices to the program. It is safest
1.292 +to attach them to the start of each source file to most effectively
1.293 +convey the exclusion of warranty; and each file should have at least
1.294 +the "copyright" line and a pointer to where the full notice is found.
1.295 +
1.296 + <one line to give the program's name and a brief idea of what it does.>
1.297 + Copyright (C) <year> <name of author>
1.298 +
1.299 + This program is free software; you can redistribute it and/or modify
1.300 + it under the terms of the GNU General Public License as published by
1.301 + the Free Software Foundation; either version 2 of the License, or
1.302 + (at your option) any later version.
1.303 +
1.304 + This program is distributed in the hope that it will be useful,
1.305 + but WITHOUT ANY WARRANTY; without even the implied warranty of
1.306 + MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
1.307 + GNU General Public License for more details.
1.308 +
1.309 + You should have received a copy of the GNU General Public License
1.310 + along with this program; if not, write to the Free Software
1.311 + Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
1.312 +
1.313 +
1.314 +Also add information on how to contact you by electronic and paper mail.
1.315 +
1.316 +If the program is interactive, make it output a short notice like this
1.317 +when it starts in an interactive mode:
1.318 +
1.319 + Gnomovision version 69, Copyright (C) year name of author
1.320 + Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
1.321 + This is free software, and you are welcome to redistribute it
1.322 + under certain conditions; type `show c' for details.
1.323 +
1.324 +The hypothetical commands `show w' and `show c' should show the appropriate
1.325 +parts of the General Public License. Of course, the commands you use may
1.326 +be called something other than `show w' and `show c'; they could even be
1.327 +mouse-clicks or menu items--whatever suits your program.
1.328 +
1.329 +You should also get your employer (if you work as a programmer) or your
1.330 +school, if any, to sign a "copyright disclaimer" for the program, if
1.331 +necessary. Here is a sample; alter the names:
1.332 +
1.333 + Yoyodyne, Inc., hereby disclaims all copyright interest in the program
1.334 + `Gnomovision' (which makes passes at compilers) written by James Hacker.
1.335 +
1.336 + <signature of Ty Coon>, 1 April 1989
1.337 + Ty Coon, President of Vice
1.338 +
1.339 +This General Public License does not permit incorporating your program into
1.340 +proprietary programs. If your program is a subroutine library, you may
1.341 +consider it more useful to permit linking proprietary applications with the
1.342 +library. If this is what you want to do, use the GNU Library General
1.343 +Public License instead of this License.
2.1 --- /dev/null Thu Jan 01 00:00:00 1970 +0000
2.2 +++ b/INSTALL Tue Jun 27 14:02:27 2006 +0000
2.3 @@ -0,0 +1,229 @@
2.4 +Copyright (C) 1994, 1995, 1996, 1999, 2000, 2001, 2002 Free Software
2.5 +Foundation, Inc.
2.6 +
2.7 + This file is free documentation; the Free Software Foundation gives
2.8 +unlimited permission to copy, distribute and modify it.
2.9 +
2.10 +Basic Installation
2.11 +==================
2.12 +
2.13 + These are generic installation instructions.
2.14 +
2.15 + The `configure' shell script attempts to guess correct values for
2.16 +various system-dependent variables used during compilation. It uses
2.17 +those values to create a `Makefile' in each directory of the package.
2.18 +It may also create one or more `.h' files containing system-dependent
2.19 +definitions. Finally, it creates a shell script `config.status' that
2.20 +you can run in the future to recreate the current configuration, and a
2.21 +file `config.log' containing compiler output (useful mainly for
2.22 +debugging `configure').
2.23 +
2.24 + It can also use an optional file (typically called `config.cache'
2.25 +and enabled with `--cache-file=config.cache' or simply `-C') that saves
2.26 +the results of its tests to speed up reconfiguring. (Caching is
2.27 +disabled by default to prevent problems with accidental use of stale
2.28 +cache files.)
2.29 +
2.30 + If you need to do unusual things to compile the package, please try
2.31 +to figure out how `configure' could check whether to do them, and mail
2.32 +diffs or instructions to the address given in the `README' so they can
2.33 +be considered for the next release. If you are using the cache, and at
2.34 +some point `config.cache' contains results you don't want to keep, you
2.35 +may remove or edit it.
2.36 +
2.37 + The file `configure.ac' (or `configure.in') is used to create
2.38 +`configure' by a program called `autoconf'. You only need
2.39 +`configure.ac' if you want to change it or regenerate `configure' using
2.40 +a newer version of `autoconf'.
2.41 +
2.42 +The simplest way to compile this package is:
2.43 +
2.44 + 1. `cd' to the directory containing the package's source code and type
2.45 + `./configure' to configure the package for your system. If you're
2.46 + using `csh' on an old version of System V, you might need to type
2.47 + `sh ./configure' instead to prevent `csh' from trying to execute
2.48 + `configure' itself.
2.49 +
2.50 + Running `configure' takes awhile. While running, it prints some
2.51 + messages telling which features it is checking for.
2.52 +
2.53 + 2. Type `make' to compile the package.
2.54 +
2.55 + 3. Optionally, type `make check' to run any self-tests that come with
2.56 + the package.
2.57 +
2.58 + 4. Type `make install' to install the programs and any data files and
2.59 + documentation.
2.60 +
2.61 + 5. You can remove the program binaries and object files from the
2.62 + source code directory by typing `make clean'. To also remove the
2.63 + files that `configure' created (so you can compile the package for
2.64 + a different kind of computer), type `make distclean'. There is
2.65 + also a `make maintainer-clean' target, but that is intended mainly
2.66 + for the package's developers. If you use it, you may have to get
2.67 + all sorts of other programs in order to regenerate files that came
2.68 + with the distribution.
2.69 +
2.70 +Compilers and Options
2.71 +=====================
2.72 +
2.73 + Some systems require unusual options for compilation or linking that
2.74 +the `configure' script does not know about. Run `./configure --help'
2.75 +for details on some of the pertinent environment variables.
2.76 +
2.77 + You can give `configure' initial values for configuration parameters
2.78 +by setting variables in the command line or in the environment. Here
2.79 +is an example:
2.80 +
2.81 + ./configure CC=c89 CFLAGS=-O2 LIBS=-lposix
2.82 +
2.83 + *Note Defining Variables::, for more details.
2.84 +
2.85 +Compiling For Multiple Architectures
2.86 +====================================
2.87 +
2.88 + You can compile the package for more than one kind of computer at the
2.89 +same time, by placing the object files for each architecture in their
2.90 +own directory. To do this, you must use a version of `make' that
2.91 +supports the `VPATH' variable, such as GNU `make'. `cd' to the
2.92 +directory where you want the object files and executables to go and run
2.93 +the `configure' script. `configure' automatically checks for the
2.94 +source code in the directory that `configure' is in and in `..'.
2.95 +
2.96 + If you have to use a `make' that does not support the `VPATH'
2.97 +variable, you have to compile the package for one architecture at a
2.98 +time in the source code directory. After you have installed the
2.99 +package for one architecture, use `make distclean' before reconfiguring
2.100 +for another architecture.
2.101 +
2.102 +Installation Names
2.103 +==================
2.104 +
2.105 + By default, `make install' will install the package's files in
2.106 +`/usr/local/bin', `/usr/local/man', etc. You can specify an
2.107 +installation prefix other than `/usr/local' by giving `configure' the
2.108 +option `--prefix=PATH'.
2.109 +
2.110 + You can specify separate installation prefixes for
2.111 +architecture-specific files and architecture-independent files. If you
2.112 +give `configure' the option `--exec-prefix=PATH', the package will use
2.113 +PATH as the prefix for installing programs and libraries.
2.114 +Documentation and other data files will still use the regular prefix.
2.115 +
2.116 + In addition, if you use an unusual directory layout you can give
2.117 +options like `--bindir=PATH' to specify different values for particular
2.118 +kinds of files. Run `configure --help' for a list of the directories
2.119 +you can set and what kinds of files go in them.
2.120 +
2.121 + If the package supports it, you can cause programs to be installed
2.122 +with an extra prefix or suffix on their names by giving `configure' the
2.123 +option `--program-prefix=PREFIX' or `--program-suffix=SUFFIX'.
2.124 +
2.125 +Optional Features
2.126 +=================
2.127 +
2.128 + Some packages pay attention to `--enable-FEATURE' options to
2.129 +`configure', where FEATURE indicates an optional part of the package.
2.130 +They may also pay attention to `--with-PACKAGE' options, where PACKAGE
2.131 +is something like `gnu-as' or `x' (for the X Window System). The
2.132 +`README' should mention any `--enable-' and `--with-' options that the
2.133 +package recognizes.
2.134 +
2.135 + For packages that use the X Window System, `configure' can usually
2.136 +find the X include and library files automatically, but if it doesn't,
2.137 +you can use the `configure' options `--x-includes=DIR' and
2.138 +`--x-libraries=DIR' to specify their locations.
2.139 +
2.140 +Specifying the System Type
2.141 +==========================
2.142 +
2.143 + There may be some features `configure' cannot figure out
2.144 +automatically, but needs to determine by the type of machine the package
2.145 +will run on. Usually, assuming the package is built to be run on the
2.146 +_same_ architectures, `configure' can figure that out, but if it prints
2.147 +a message saying it cannot guess the machine type, give it the
2.148 +`--build=TYPE' option. TYPE can either be a short name for the system
2.149 +type, such as `sun4', or a canonical name which has the form:
2.150 +
2.151 + CPU-COMPANY-SYSTEM
2.152 +
2.153 +where SYSTEM can have one of these forms:
2.154 +
2.155 + OS KERNEL-OS
2.156 +
2.157 + See the file `config.sub' for the possible values of each field. If
2.158 +`config.sub' isn't included in this package, then this package doesn't
2.159 +need to know the machine type.
2.160 +
2.161 + If you are _building_ compiler tools for cross-compiling, you should
2.162 +use the `--target=TYPE' option to select the type of system they will
2.163 +produce code for.
2.164 +
2.165 + If you want to _use_ a cross compiler, that generates code for a
2.166 +platform different from the build platform, you should specify the
2.167 +"host" platform (i.e., that on which the generated programs will
2.168 +eventually be run) with `--host=TYPE'.
2.169 +
2.170 +Sharing Defaults
2.171 +================
2.172 +
2.173 + If you want to set default values for `configure' scripts to share,
2.174 +you can create a site shell script called `config.site' that gives
2.175 +default values for variables like `CC', `cache_file', and `prefix'.
2.176 +`configure' looks for `PREFIX/share/config.site' if it exists, then
2.177 +`PREFIX/etc/config.site' if it exists. Or, you can set the
2.178 +`CONFIG_SITE' environment variable to the location of the site script.
2.179 +A warning: not all `configure' scripts look for a site script.
2.180 +
2.181 +Defining Variables
2.182 +==================
2.183 +
2.184 + Variables not defined in a site shell script can be set in the
2.185 +environment passed to `configure'. However, some packages may run
2.186 +configure again during the build, and the customized values of these
2.187 +variables may be lost. In order to avoid this problem, you should set
2.188 +them in the `configure' command line, using `VAR=value'. For example:
2.189 +
2.190 + ./configure CC=/usr/local2/bin/gcc
2.191 +
2.192 +will cause the specified gcc to be used as the C compiler (unless it is
2.193 +overridden in the site shell script).
2.194 +
2.195 +`configure' Invocation
2.196 +======================
2.197 +
2.198 + `configure' recognizes the following options to control how it
2.199 +operates.
2.200 +
2.201 +`--help'
2.202 +`-h'
2.203 + Print a summary of the options to `configure', and exit.
2.204 +
2.205 +`--version'
2.206 +`-V'
2.207 + Print the version of Autoconf used to generate the `configure'
2.208 + script, and exit.
2.209 +
2.210 +`--cache-file=FILE'
2.211 + Enable the cache: use and save the results of the tests in FILE,
2.212 + traditionally `config.cache'. FILE defaults to `/dev/null' to
2.213 + disable caching.
2.214 +
2.215 +`--config-cache'
2.216 +`-C'
2.217 + Alias for `--cache-file=config.cache'.
2.218 +
2.219 +`--quiet'
2.220 +`--silent'
2.221 +`-q'
2.222 + Do not print messages saying which checks are being made. To
2.223 + suppress all normal output, redirect it to `/dev/null' (any error
2.224 + messages will still be shown).
2.225 +
2.226 +`--srcdir=DIR'
2.227 + Look for the package's source code in directory DIR. Usually
2.228 + `configure' can determine that directory automatically.
2.229 +
2.230 +`configure' also accepts some other, not widely useful, options. Run
2.231 +`configure --help' for more details.
2.232 +
3.1 --- /dev/null Thu Jan 01 00:00:00 1970 +0000
3.2 +++ b/depcomp Tue Jun 27 14:02:27 2006 +0000
3.3 @@ -0,0 +1,479 @@
3.4 +#! /bin/sh
3.5 +
3.6 +# depcomp - compile a program generating dependencies as side-effects
3.7 +# Copyright 1999, 2000, 2003 Free Software Foundation, Inc.
3.8 +
3.9 +# This program is free software; you can redistribute it and/or modify
3.10 +# it under the terms of the GNU General Public License as published by
3.11 +# the Free Software Foundation; either version 2, or (at your option)
3.12 +# any later version.
3.13 +
3.14 +# This program is distributed in the hope that it will be useful,
3.15 +# but WITHOUT ANY WARRANTY; without even the implied warranty of
3.16 +# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
3.17 +# GNU General Public License for more details.
3.18 +
3.19 +# You should have received a copy of the GNU General Public License
3.20 +# along with this program; if not, write to the Free Software
3.21 +# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
3.22 +# 02111-1307, USA.
3.23 +
3.24 +# As a special exception to the GNU General Public License, if you
3.25 +# distribute this file as part of a program that contains a
3.26 +# configuration script generated by Autoconf, you may include it under
3.27 +# the same distribution terms that you use for the rest of that program.
3.28 +
3.29 +# Originally written by Alexandre Oliva <oliva@dcc.unicamp.br>.
3.30 +
3.31 +if test -z "$depmode" || test -z "$source" || test -z "$object"; then
3.32 + echo "depcomp: Variables source, object and depmode must be set" 1>&2
3.33 + exit 1
3.34 +fi
3.35 +# `libtool' can also be set to `yes' or `no'.
3.36 +
3.37 +if test -z "$depfile"; then
3.38 + base=`echo "$object" | sed -e 's,^.*/,,' -e 's,\.\([^.]*\)$,.P\1,'`
3.39 + dir=`echo "$object" | sed 's,/.*$,/,'`
3.40 + if test "$dir" = "$object"; then
3.41 + dir=
3.42 + fi
3.43 + # FIXME: should be _deps on DOS.
3.44 + depfile="$dir.deps/$base"
3.45 +fi
3.46 +
3.47 +tmpdepfile=${tmpdepfile-`echo "$depfile" | sed 's/\.\([^.]*\)$/.T\1/'`}
3.48 +
3.49 +rm -f "$tmpdepfile"
3.50 +
3.51 +# Some modes work just like other modes, but use different flags. We
3.52 +# parameterize here, but still list the modes in the big case below,
3.53 +# to make depend.m4 easier to write. Note that we *cannot* use a case
3.54 +# here, because this file can only contain one case statement.
3.55 +if test "$depmode" = hp; then
3.56 + # HP compiler uses -M and no extra arg.
3.57 + gccflag=-M
3.58 + depmode=gcc
3.59 +fi
3.60 +
3.61 +if test "$depmode" = dashXmstdout; then
3.62 + # This is just like dashmstdout with a different argument.
3.63 + dashmflag=-xM
3.64 + depmode=dashmstdout
3.65 +fi
3.66 +
3.67 +case "$depmode" in
3.68 +gcc3)
3.69 +## gcc 3 implements dependency tracking that does exactly what
3.70 +## we want. Yay! Note: for some reason libtool 1.4 doesn't like
3.71 +## it if -MD -MP comes after the -MF stuff. Hmm.
3.72 + "$@" -MT "$object" -MD -MP -MF "$tmpdepfile"
3.73 + stat=$?
3.74 + if test $stat -eq 0; then :
3.75 + else
3.76 + rm -f "$tmpdepfile"
3.77 + exit $stat
3.78 + fi
3.79 + mv "$tmpdepfile" "$depfile"
3.80 + ;;
3.81 +
3.82 +gcc)
3.83 +## There are various ways to get dependency output from gcc. Here's
3.84 +## why we pick this rather obscure method:
3.85 +## - Don't want to use -MD because we'd like the dependencies to end
3.86 +## up in a subdir. Having to rename by hand is ugly.
3.87 +## (We might end up doing this anyway to support other compilers.)
3.88 +## - The DEPENDENCIES_OUTPUT environment variable makes gcc act like
3.89 +## -MM, not -M (despite what the docs say).
3.90 +## - Using -M directly means running the compiler twice (even worse
3.91 +## than renaming).
3.92 + if test -z "$gccflag"; then
3.93 + gccflag=-MD,
3.94 + fi
3.95 + "$@" -Wp,"$gccflag$tmpdepfile"
3.96 + stat=$?
3.97 + if test $stat -eq 0; then :
3.98 + else
3.99 + rm -f "$tmpdepfile"
3.100 + exit $stat
3.101 + fi
3.102 + rm -f "$depfile"
3.103 + echo "$object : \\" > "$depfile"
3.104 + alpha=ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz
3.105 +## The second -e expression handles DOS-style file names with drive letters.
3.106 + sed -e 's/^[^:]*: / /' \
3.107 + -e 's/^['$alpha']:\/[^:]*: / /' < "$tmpdepfile" >> "$depfile"
3.108 +## This next piece of magic avoids the `deleted header file' problem.
3.109 +## The problem is that when a header file which appears in a .P file
3.110 +## is deleted, the dependency causes make to die (because there is
3.111 +## typically no way to rebuild the header). We avoid this by adding
3.112 +## dummy dependencies for each header file. Too bad gcc doesn't do
3.113 +## this for us directly.
3.114 + tr ' ' '
3.115 +' < "$tmpdepfile" |
3.116 +## Some versions of gcc put a space before the `:'. On the theory
3.117 +## that the space means something, we add a space to the output as
3.118 +## well.
3.119 +## Some versions of the HPUX 10.20 sed can't process this invocation
3.120 +## correctly. Breaking it into two sed invocations is a workaround.
3.121 + sed -e 's/^\\$//' -e '/^$/d' -e '/:$/d' | sed -e 's/$/ :/' >> "$depfile"
3.122 + rm -f "$tmpdepfile"
3.123 + ;;
3.124 +
3.125 +hp)
3.126 + # This case exists only to let depend.m4 do its work. It works by
3.127 + # looking at the text of this script. This case will never be run,
3.128 + # since it is checked for above.
3.129 + exit 1
3.130 + ;;
3.131 +
3.132 +sgi)
3.133 + if test "$libtool" = yes; then
3.134 + "$@" "-Wp,-MDupdate,$tmpdepfile"
3.135 + else
3.136 + "$@" -MDupdate "$tmpdepfile"
3.137 + fi
3.138 + stat=$?
3.139 + if test $stat -eq 0; then :
3.140 + else
3.141 + rm -f "$tmpdepfile"
3.142 + exit $stat
3.143 + fi
3.144 + rm -f "$depfile"
3.145 +
3.146 + if test -f "$tmpdepfile"; then # yes, the sourcefile depend on other files
3.147 + echo "$object : \\" > "$depfile"
3.148 +
3.149 + # Clip off the initial element (the dependent). Don't try to be
3.150 + # clever and replace this with sed code, as IRIX sed won't handle
3.151 + # lines with more than a fixed number of characters (4096 in
3.152 + # IRIX 6.2 sed, 8192 in IRIX 6.5). We also remove comment lines;
3.153 + # the IRIX cc adds comments like `#:fec' to the end of the
3.154 + # dependency line.
3.155 + tr ' ' '
3.156 +' < "$tmpdepfile" \
3.157 + | sed -e 's/^.*\.o://' -e 's/#.*$//' -e '/^$/ d' | \
3.158 + tr '
3.159 +' ' ' >> $depfile
3.160 + echo >> $depfile
3.161 +
3.162 + # The second pass generates a dummy entry for each header file.
3.163 + tr ' ' '
3.164 +' < "$tmpdepfile" \
3.165 + | sed -e 's/^.*\.o://' -e 's/#.*$//' -e '/^$/ d' -e 's/$/:/' \
3.166 + >> $depfile
3.167 + else
3.168 + # The sourcefile does not contain any dependencies, so just
3.169 + # store a dummy comment line, to avoid errors with the Makefile
3.170 + # "include basename.Plo" scheme.
3.171 + echo "#dummy" > "$depfile"
3.172 + fi
3.173 + rm -f "$tmpdepfile"
3.174 + ;;
3.175 +
3.176 +aix)
3.177 + # The C for AIX Compiler uses -M and outputs the dependencies
3.178 + # in a .u file. In older versions, this file always lives in the
3.179 + # current directory. Also, the AIX compiler puts `$object:' at the
3.180 + # start of each line; $object doesn't have directory information.
3.181 + # Version 6 uses the directory in both cases.
3.182 + stripped=`echo "$object" | sed 's/\(.*\)\..*$/\1/'`
3.183 + tmpdepfile="$stripped.u"
3.184 + if test "$libtool" = yes; then
3.185 + "$@" -Wc,-M
3.186 + else
3.187 + "$@" -M
3.188 + fi
3.189 + stat=$?
3.190 +
3.191 + if test -f "$tmpdepfile"; then :
3.192 + else
3.193 + stripped=`echo "$stripped" | sed 's,^.*/,,'`
3.194 + tmpdepfile="$stripped.u"
3.195 + fi
3.196 +
3.197 + if test $stat -eq 0; then :
3.198 + else
3.199 + rm -f "$tmpdepfile"
3.200 + exit $stat
3.201 + fi
3.202 +
3.203 + if test -f "$tmpdepfile"; then
3.204 + outname="$stripped.o"
3.205 + # Each line is of the form `foo.o: dependent.h'.
3.206 + # Do two passes, one to just change these to
3.207 + # `$object: dependent.h' and one to simply `dependent.h:'.
3.208 + sed -e "s,^$outname:,$object :," < "$tmpdepfile" > "$depfile"
3.209 + sed -e "s,^$outname: \(.*\)$,\1:," < "$tmpdepfile" >> "$depfile"
3.210 + else
3.211 + # The sourcefile does not contain any dependencies, so just
3.212 + # store a dummy comment line, to avoid errors with the Makefile
3.213 + # "include basename.Plo" scheme.
3.214 + echo "#dummy" > "$depfile"
3.215 + fi
3.216 + rm -f "$tmpdepfile"
3.217 + ;;
3.218 +
3.219 +icc)
3.220 + # Intel's C compiler understands `-MD -MF file'. However on
3.221 + # icc -MD -MF foo.d -c -o sub/foo.o sub/foo.c
3.222 + # ICC 7.0 will fill foo.d with something like
3.223 + # foo.o: sub/foo.c
3.224 + # foo.o: sub/foo.h
3.225 + # which is wrong. We want:
3.226 + # sub/foo.o: sub/foo.c
3.227 + # sub/foo.o: sub/foo.h
3.228 + # sub/foo.c:
3.229 + # sub/foo.h:
3.230 + # ICC 7.1 will output
3.231 + # foo.o: sub/foo.c sub/foo.h
3.232 + # and will wrap long lines using \ :
3.233 + # foo.o: sub/foo.c ... \
3.234 + # sub/foo.h ... \
3.235 + # ...
3.236 +
3.237 + "$@" -MD -MF "$tmpdepfile"
3.238 + stat=$?
3.239 + if test $stat -eq 0; then :
3.240 + else
3.241 + rm -f "$tmpdepfile"
3.242 + exit $stat
3.243 + fi
3.244 + rm -f "$depfile"
3.245 + # Each line is of the form `foo.o: dependent.h',
3.246 + # or `foo.o: dep1.h dep2.h \', or ` dep3.h dep4.h \'.
3.247 + # Do two passes, one to just change these to
3.248 + # `$object: dependent.h' and one to simply `dependent.h:'.
3.249 + sed "s,^[^:]*:,$object :," < "$tmpdepfile" > "$depfile"
3.250 + # Some versions of the HPUX 10.20 sed can't process this invocation
3.251 + # correctly. Breaking it into two sed invocations is a workaround.
3.252 + sed 's,^[^:]*: \(.*\)$,\1,;s/^\\$//;/^$/d;/:$/d' < "$tmpdepfile" |
3.253 + sed -e 's/$/ :/' >> "$depfile"
3.254 + rm -f "$tmpdepfile"
3.255 + ;;
3.256 +
3.257 +tru64)
3.258 + # The Tru64 compiler uses -MD to generate dependencies as a side
3.259 + # effect. `cc -MD -o foo.o ...' puts the dependencies into `foo.o.d'.
3.260 + # At least on Alpha/Redhat 6.1, Compaq CCC V6.2-504 seems to put
3.261 + # dependencies in `foo.d' instead, so we check for that too.
3.262 + # Subdirectories are respected.
3.263 + dir=`echo "$object" | sed -e 's|/[^/]*$|/|'`
3.264 + test "x$dir" = "x$object" && dir=
3.265 + base=`echo "$object" | sed -e 's|^.*/||' -e 's/\.o$//' -e 's/\.lo$//'`
3.266 +
3.267 + if test "$libtool" = yes; then
3.268 + tmpdepfile1="$dir.libs/$base.lo.d"
3.269 + tmpdepfile2="$dir.libs/$base.d"
3.270 + "$@" -Wc,-MD
3.271 + else
3.272 + tmpdepfile1="$dir$base.o.d"
3.273 + tmpdepfile2="$dir$base.d"
3.274 + "$@" -MD
3.275 + fi
3.276 +
3.277 + stat=$?
3.278 + if test $stat -eq 0; then :
3.279 + else
3.280 + rm -f "$tmpdepfile1" "$tmpdepfile2"
3.281 + exit $stat
3.282 + fi
3.283 +
3.284 + if test -f "$tmpdepfile1"; then
3.285 + tmpdepfile="$tmpdepfile1"
3.286 + else
3.287 + tmpdepfile="$tmpdepfile2"
3.288 + fi
3.289 + if test -f "$tmpdepfile"; then
3.290 + sed -e "s,^.*\.[a-z]*:,$object:," < "$tmpdepfile" > "$depfile"
3.291 + # That's a tab and a space in the [].
3.292 + sed -e 's,^.*\.[a-z]*:[ ]*,,' -e 's,$,:,' < "$tmpdepfile" >> "$depfile"
3.293 + else
3.294 + echo "#dummy" > "$depfile"
3.295 + fi
3.296 + rm -f "$tmpdepfile"
3.297 + ;;
3.298 +
3.299 +#nosideeffect)
3.300 + # This comment above is used by automake to tell side-effect
3.301 + # dependency tracking mechanisms from slower ones.
3.302 +
3.303 +dashmstdout)
3.304 + # Important note: in order to support this mode, a compiler *must*
3.305 + # always write the preprocessed file to stdout, regardless of -o.
3.306 + "$@" || exit $?
3.307 +
3.308 + # Remove the call to Libtool.
3.309 + if test "$libtool" = yes; then
3.310 + while test $1 != '--mode=compile'; do
3.311 + shift
3.312 + done
3.313 + shift
3.314 + fi
3.315 +
3.316 + # Remove `-o $object'.
3.317 + IFS=" "
3.318 + for arg
3.319 + do
3.320 + case $arg in
3.321 + -o)
3.322 + shift
3.323 + ;;
3.324 + $object)
3.325 + shift
3.326 + ;;
3.327 + *)
3.328 + set fnord "$@" "$arg"
3.329 + shift # fnord
3.330 + shift # $arg
3.331 + ;;
3.332 + esac
3.333 + done
3.334 +
3.335 + test -z "$dashmflag" && dashmflag=-M
3.336 + # Require at least two characters before searching for `:'
3.337 + # in the target name. This is to cope with DOS-style filenames:
3.338 + # a dependency such as `c:/foo/bar' could be seen as target `c' otherwise.
3.339 + "$@" $dashmflag |
3.340 + sed 's:^[ ]*[^: ][^:][^:]*\:[ ]*:'"$object"'\: :' > "$tmpdepfile"
3.341 + rm -f "$depfile"
3.342 + cat < "$tmpdepfile" > "$depfile"
3.343 + tr ' ' '
3.344 +' < "$tmpdepfile" | \
3.345 +## Some versions of the HPUX 10.20 sed can't process this invocation
3.346 +## correctly. Breaking it into two sed invocations is a workaround.
3.347 + sed -e 's/^\\$//' -e '/^$/d' -e '/:$/d' | sed -e 's/$/ :/' >> "$depfile"
3.348 + rm -f "$tmpdepfile"
3.349 + ;;
3.350 +
3.351 +dashXmstdout)
3.352 + # This case only exists to satisfy depend.m4. It is never actually
3.353 + # run, as this mode is specially recognized in the preamble.
3.354 + exit 1
3.355 + ;;
3.356 +
3.357 +makedepend)
3.358 + "$@" || exit $?
3.359 + # Remove any Libtool call
3.360 + if test "$libtool" = yes; then
3.361 + while test $1 != '--mode=compile'; do
3.362 + shift
3.363 + done
3.364 + shift
3.365 + fi
3.366 + # X makedepend
3.367 + shift
3.368 + cleared=no
3.369 + for arg in "$@"; do
3.370 + case $cleared in
3.371 + no)
3.372 + set ""; shift
3.373 + cleared=yes ;;
3.374 + esac
3.375 + case "$arg" in
3.376 + -D*|-I*)
3.377 + set fnord "$@" "$arg"; shift ;;
3.378 + # Strip any option that makedepend may not understand. Remove
3.379 + # the object too, otherwise makedepend will parse it as a source file.
3.380 + -*|$object)
3.381 + ;;
3.382 + *)
3.383 + set fnord "$@" "$arg"; shift ;;
3.384 + esac
3.385 + done
3.386 + obj_suffix="`echo $object | sed 's/^.*\././'`"
3.387 + touch "$tmpdepfile"
3.388 + ${MAKEDEPEND-makedepend} -o"$obj_suffix" -f"$tmpdepfile" "$@"
3.389 + rm -f "$depfile"
3.390 + cat < "$tmpdepfile" > "$depfile"
3.391 + sed '1,2d' "$tmpdepfile" | tr ' ' '
3.392 +' | \
3.393 +## Some versions of the HPUX 10.20 sed can't process this invocation
3.394 +## correctly. Breaking it into two sed invocations is a workaround.
3.395 + sed -e 's/^\\$//' -e '/^$/d' -e '/:$/d' | sed -e 's/$/ :/' >> "$depfile"
3.396 + rm -f "$tmpdepfile" "$tmpdepfile".bak
3.397 + ;;
3.398 +
3.399 +cpp)
3.400 + # Important note: in order to support this mode, a compiler *must*
3.401 + # always write the preprocessed file to stdout.
3.402 + "$@" || exit $?
3.403 +
3.404 + # Remove the call to Libtool.
3.405 + if test "$libtool" = yes; then
3.406 + while test $1 != '--mode=compile'; do
3.407 + shift
3.408 + done
3.409 + shift
3.410 + fi
3.411 +
3.412 + # Remove `-o $object'.
3.413 + IFS=" "
3.414 + for arg
3.415 + do
3.416 + case $arg in
3.417 + -o)
3.418 + shift
3.419 + ;;
3.420 + $object)
3.421 + shift
3.422 + ;;
3.423 + *)
3.424 + set fnord "$@" "$arg"
3.425 + shift # fnord
3.426 + shift # $arg
3.427 + ;;
3.428 + esac
3.429 + done
3.430 +
3.431 + "$@" -E |
3.432 + sed -n '/^# [0-9][0-9]* "\([^"]*\)".*/ s:: \1 \\:p' |
3.433 + sed '$ s: \\$::' > "$tmpdepfile"
3.434 + rm -f "$depfile"
3.435 + echo "$object : \\" > "$depfile"
3.436 + cat < "$tmpdepfile" >> "$depfile"
3.437 + sed < "$tmpdepfile" '/^$/d;s/^ //;s/ \\$//;s/$/ :/' >> "$depfile"
3.438 + rm -f "$tmpdepfile"
3.439 + ;;
3.440 +
3.441 +msvisualcpp)
3.442 + # Important note: in order to support this mode, a compiler *must*
3.443 + # always write the preprocessed file to stdout, regardless of -o,
3.444 + # because we must use -o when running libtool.
3.445 + "$@" || exit $?
3.446 + IFS=" "
3.447 + for arg
3.448 + do
3.449 + case "$arg" in
3.450 + "-Gm"|"/Gm"|"-Gi"|"/Gi"|"-ZI"|"/ZI")
3.451 + set fnord "$@"
3.452 + shift
3.453 + shift
3.454 + ;;
3.455 + *)
3.456 + set fnord "$@" "$arg"
3.457 + shift
3.458 + shift
3.459 + ;;
3.460 + esac
3.461 + done
3.462 + "$@" -E |
3.463 + sed -n '/^#line [0-9][0-9]* "\([^"]*\)"/ s::echo "`cygpath -u \\"\1\\"`":p' | sort | uniq > "$tmpdepfile"
3.464 + rm -f "$depfile"
3.465 + echo "$object : \\" > "$depfile"
3.466 + . "$tmpdepfile" | sed 's% %\\ %g' | sed -n '/^\(.*\)$/ s:: \1 \\:p' >> "$depfile"
3.467 + echo " " >> "$depfile"
3.468 + . "$tmpdepfile" | sed 's% %\\ %g' | sed -n '/^\(.*\)$/ s::\1\::p' >> "$depfile"
3.469 + rm -f "$tmpdepfile"
3.470 + ;;
3.471 +
3.472 +none)
3.473 + exec "$@"
3.474 + ;;
3.475 +
3.476 +*)
3.477 + echo "Unknown depmode $depmode" 1>&2
3.478 + exit 1
3.479 + ;;
3.480 +esac
3.481 +
3.482 +exit 0
4.1 --- /dev/null Thu Jan 01 00:00:00 1970 +0000
4.2 +++ b/install-sh Tue Jun 27 14:02:27 2006 +0000
4.3 @@ -0,0 +1,294 @@
4.4 +#!/bin/sh
4.5 +#
4.6 +# install - install a program, script, or datafile
4.7 +#
4.8 +# This originates from X11R5 (mit/util/scripts/install.sh), which was
4.9 +# later released in X11R6 (xc/config/util/install.sh) with the
4.10 +# following copyright and license.
4.11 +#
4.12 +# Copyright (C) 1994 X Consortium
4.13 +#
4.14 +# Permission is hereby granted, free of charge, to any person obtaining a copy
4.15 +# of this software and associated documentation files (the "Software"), to
4.16 +# deal in the Software without restriction, including without limitation the
4.17 +# rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
4.18 +# sell copies of the Software, and to permit persons to whom the Software is
4.19 +# furnished to do so, subject to the following conditions:
4.20 +#
4.21 +# The above copyright notice and this permission notice shall be included in
4.22 +# all copies or substantial portions of the Software.
4.23 +#
4.24 +# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
4.25 +# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
4.26 +# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
4.27 +# X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
4.28 +# AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNEC-
4.29 +# TION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
4.30 +#
4.31 +# Except as contained in this notice, the name of the X Consortium shall not
4.32 +# be used in advertising or otherwise to promote the sale, use or other deal-
4.33 +# ings in this Software without prior written authorization from the X Consor-
4.34 +# tium.
4.35 +#
4.36 +#
4.37 +# FSF changes to this file are in the public domain.
4.38 +#
4.39 +# Calling this script install-sh is preferred over install.sh, to prevent
4.40 +# `make' implicit rules from creating a file called install from it
4.41 +# when there is no Makefile.
4.42 +#
4.43 +# This script is compatible with the BSD install script, but was written
4.44 +# from scratch. It can only install one file at a time, a restriction
4.45 +# shared with many OS's install programs.
4.46 +
4.47 +
4.48 +# set DOITPROG to echo to test this script
4.49 +
4.50 +# Don't use :- since 4.3BSD and earlier shells don't like it.
4.51 +doit="${DOITPROG-}"
4.52 +
4.53 +
4.54 +# put in absolute paths if you don't have them in your path; or use env. vars.
4.55 +
4.56 +mvprog="${MVPROG-mv}"
4.57 +cpprog="${CPPROG-cp}"
4.58 +chmodprog="${CHMODPROG-chmod}"
4.59 +chownprog="${CHOWNPROG-chown}"
4.60 +chgrpprog="${CHGRPPROG-chgrp}"
4.61 +stripprog="${STRIPPROG-strip}"
4.62 +rmprog="${RMPROG-rm}"
4.63 +mkdirprog="${MKDIRPROG-mkdir}"
4.64 +
4.65 +transformbasename=""
4.66 +transform_arg=""
4.67 +instcmd="$mvprog"
4.68 +chmodcmd="$chmodprog 0755"
4.69 +chowncmd=""
4.70 +chgrpcmd=""
4.71 +stripcmd=""
4.72 +rmcmd="$rmprog -f"
4.73 +mvcmd="$mvprog"
4.74 +src=""
4.75 +dst=""
4.76 +dir_arg=""
4.77 +
4.78 +while [ x"$1" != x ]; do
4.79 + case $1 in
4.80 + -c) instcmd=$cpprog
4.81 + shift
4.82 + continue;;
4.83 +
4.84 + -d) dir_arg=true
4.85 + shift
4.86 + continue;;
4.87 +
4.88 + -m) chmodcmd="$chmodprog $2"
4.89 + shift
4.90 + shift
4.91 + continue;;
4.92 +
4.93 + -o) chowncmd="$chownprog $2"
4.94 + shift
4.95 + shift
4.96 + continue;;
4.97 +
4.98 + -g) chgrpcmd="$chgrpprog $2"
4.99 + shift
4.100 + shift
4.101 + continue;;
4.102 +
4.103 + -s) stripcmd=$stripprog
4.104 + shift
4.105 + continue;;
4.106 +
4.107 + -t=*) transformarg=`echo $1 | sed 's/-t=//'`
4.108 + shift
4.109 + continue;;
4.110 +
4.111 + -b=*) transformbasename=`echo $1 | sed 's/-b=//'`
4.112 + shift
4.113 + continue;;
4.114 +
4.115 + *) if [ x"$src" = x ]
4.116 + then
4.117 + src=$1
4.118 + else
4.119 + # this colon is to work around a 386BSD /bin/sh bug
4.120 + :
4.121 + dst=$1
4.122 + fi
4.123 + shift
4.124 + continue;;
4.125 + esac
4.126 +done
4.127 +
4.128 +if [ x"$src" = x ]
4.129 +then
4.130 + echo "$0: no input file specified" >&2
4.131 + exit 1
4.132 +else
4.133 + :
4.134 +fi
4.135 +
4.136 +if [ x"$dir_arg" != x ]; then
4.137 + dst=$src
4.138 + src=""
4.139 +
4.140 + if [ -d "$dst" ]; then
4.141 + instcmd=:
4.142 + chmodcmd=""
4.143 + else
4.144 + instcmd=$mkdirprog
4.145 + fi
4.146 +else
4.147 +
4.148 +# Waiting for this to be detected by the "$instcmd $src $dsttmp" command
4.149 +# might cause directories to be created, which would be especially bad
4.150 +# if $src (and thus $dsttmp) contains '*'.
4.151 +
4.152 + if [ -f "$src" ] || [ -d "$src" ]
4.153 + then
4.154 + :
4.155 + else
4.156 + echo "$0: $src does not exist" >&2
4.157 + exit 1
4.158 + fi
4.159 +
4.160 + if [ x"$dst" = x ]
4.161 + then
4.162 + echo "$0: no destination specified" >&2
4.163 + exit 1
4.164 + else
4.165 + :
4.166 + fi
4.167 +
4.168 +# If destination is a directory, append the input filename; if your system
4.169 +# does not like double slashes in filenames, you may need to add some logic
4.170 +
4.171 + if [ -d "$dst" ]
4.172 + then
4.173 + dst=$dst/`basename "$src"`
4.174 + else
4.175 + :
4.176 + fi
4.177 +fi
4.178 +
4.179 +## this sed command emulates the dirname command
4.180 +dstdir=`echo "$dst" | sed -e 's,[^/]*$,,;s,/$,,;s,^$,.,'`
4.181 +
4.182 +# Make sure that the destination directory exists.
4.183 +# this part is taken from Noah Friedman's mkinstalldirs script
4.184 +
4.185 +# Skip lots of stat calls in the usual case.
4.186 +if [ ! -d "$dstdir" ]; then
4.187 +defaultIFS='
4.188 + '
4.189 +IFS="${IFS-$defaultIFS}"
4.190 +
4.191 +oIFS=$IFS
4.192 +# Some sh's can't handle IFS=/ for some reason.
4.193 +IFS='%'
4.194 +set - `echo "$dstdir" | sed -e 's@/@%@g' -e 's@^%@/@'`
4.195 +IFS=$oIFS
4.196 +
4.197 +pathcomp=''
4.198 +
4.199 +while [ $# -ne 0 ] ; do
4.200 + pathcomp=$pathcomp$1
4.201 + shift
4.202 +
4.203 + if [ ! -d "$pathcomp" ] ;
4.204 + then
4.205 + $mkdirprog "$pathcomp"
4.206 + else
4.207 + :
4.208 + fi
4.209 +
4.210 + pathcomp=$pathcomp/
4.211 +done
4.212 +fi
4.213 +
4.214 +if [ x"$dir_arg" != x ]
4.215 +then
4.216 + $doit $instcmd "$dst" &&
4.217 +
4.218 + if [ x"$chowncmd" != x ]; then $doit $chowncmd "$dst"; else : ; fi &&
4.219 + if [ x"$chgrpcmd" != x ]; then $doit $chgrpcmd "$dst"; else : ; fi &&
4.220 + if [ x"$stripcmd" != x ]; then $doit $stripcmd "$dst"; else : ; fi &&
4.221 + if [ x"$chmodcmd" != x ]; then $doit $chmodcmd "$dst"; else : ; fi
4.222 +else
4.223 +
4.224 +# If we're going to rename the final executable, determine the name now.
4.225 +
4.226 + if [ x"$transformarg" = x ]
4.227 + then
4.228 + dstfile=`basename "$dst"`
4.229 + else
4.230 + dstfile=`basename "$dst" $transformbasename |
4.231 + sed $transformarg`$transformbasename
4.232 + fi
4.233 +
4.234 +# don't allow the sed command to completely eliminate the filename
4.235 +
4.236 + if [ x"$dstfile" = x ]
4.237 + then
4.238 + dstfile=`basename "$dst"`
4.239 + else
4.240 + :
4.241 + fi
4.242 +
4.243 +# Make a couple of temp file names in the proper directory.
4.244 +
4.245 + dsttmp=$dstdir/_inst.$$_
4.246 + rmtmp=$dstdir/_rm.$$_
4.247 +
4.248 +# Trap to clean up temp files at exit.
4.249 +
4.250 + trap 'status=$?; rm -f "$dsttmp" "$rmtmp" && exit $status' 0
4.251 + trap '(exit $?); exit' 1 2 13 15
4.252 +
4.253 +# Move or copy the file name to the temp name
4.254 +
4.255 + $doit $instcmd "$src" "$dsttmp" &&
4.256 +
4.257 +# and set any options; do chmod last to preserve setuid bits
4.258 +
4.259 +# If any of these fail, we abort the whole thing. If we want to
4.260 +# ignore errors from any of these, just make sure not to ignore
4.261 +# errors from the above "$doit $instcmd $src $dsttmp" command.
4.262 +
4.263 + if [ x"$chowncmd" != x ]; then $doit $chowncmd "$dsttmp"; else :;fi &&
4.264 + if [ x"$chgrpcmd" != x ]; then $doit $chgrpcmd "$dsttmp"; else :;fi &&
4.265 + if [ x"$stripcmd" != x ]; then $doit $stripcmd "$dsttmp"; else :;fi &&
4.266 + if [ x"$chmodcmd" != x ]; then $doit $chmodcmd "$dsttmp"; else :;fi &&
4.267 +
4.268 +# Now remove or move aside any old file at destination location. We try this
4.269 +# two ways since rm can't unlink itself on some systems and the destination
4.270 +# file might be busy for other reasons. In this case, the final cleanup
4.271 +# might fail but the new file should still install successfully.
4.272 +
4.273 +{
4.274 + if [ -f "$dstdir/$dstfile" ]
4.275 + then
4.276 + $doit $rmcmd -f "$dstdir/$dstfile" 2>/dev/null ||
4.277 + $doit $mvcmd -f "$dstdir/$dstfile" "$rmtmp" 2>/dev/null ||
4.278 + {
4.279 + echo "$0: cannot unlink or rename $dstdir/$dstfile" >&2
4.280 + (exit 1); exit
4.281 + }
4.282 + else
4.283 + :
4.284 + fi
4.285 +} &&
4.286 +
4.287 +# Now rename the file to the real destination.
4.288 +
4.289 + $doit $mvcmd "$dsttmp" "$dstdir/$dstfile"
4.290 +
4.291 +fi &&
4.292 +
4.293 +# The final little trick to "correctly" pass the exit status to the exit trap.
4.294 +
4.295 +{
4.296 + (exit 0); exit
4.297 +}
5.1 --- /dev/null Thu Jan 01 00:00:00 1970 +0000
5.2 +++ b/missing Tue Jun 27 14:02:27 2006 +0000
5.3 @@ -0,0 +1,336 @@
5.4 +#! /bin/sh
5.5 +# Common stub for a few missing GNU programs while installing.
5.6 +# Copyright (C) 1996, 1997, 1999, 2000, 2002, 2003 Free Software Foundation, Inc.
5.7 +# Originally by Fran,cois Pinard <pinard@iro.umontreal.ca>, 1996.
5.8 +
5.9 +# This program is free software; you can redistribute it and/or modify
5.10 +# it under the terms of the GNU General Public License as published by
5.11 +# the Free Software Foundation; either version 2, or (at your option)
5.12 +# any later version.
5.13 +
5.14 +# This program is distributed in the hope that it will be useful,
5.15 +# but WITHOUT ANY WARRANTY; without even the implied warranty of
5.16 +# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
5.17 +# GNU General Public License for more details.
5.18 +
5.19 +# You should have received a copy of the GNU General Public License
5.20 +# along with this program; if not, write to the Free Software
5.21 +# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
5.22 +# 02111-1307, USA.
5.23 +
5.24 +# As a special exception to the GNU General Public License, if you
5.25 +# distribute this file as part of a program that contains a
5.26 +# configuration script generated by Autoconf, you may include it under
5.27 +# the same distribution terms that you use for the rest of that program.
5.28 +
5.29 +if test $# -eq 0; then
5.30 + echo 1>&2 "Try \`$0 --help' for more information"
5.31 + exit 1
5.32 +fi
5.33 +
5.34 +run=:
5.35 +
5.36 +# In the cases where this matters, `missing' is being run in the
5.37 +# srcdir already.
5.38 +if test -f configure.ac; then
5.39 + configure_ac=configure.ac
5.40 +else
5.41 + configure_ac=configure.in
5.42 +fi
5.43 +
5.44 +case "$1" in
5.45 +--run)
5.46 + # Try to run requested program, and just exit if it succeeds.
5.47 + run=
5.48 + shift
5.49 + "$@" && exit 0
5.50 + ;;
5.51 +esac
5.52 +
5.53 +# If it does not exist, or fails to run (possibly an outdated version),
5.54 +# try to emulate it.
5.55 +case "$1" in
5.56 +
5.57 + -h|--h|--he|--hel|--help)
5.58 + echo "\
5.59 +$0 [OPTION]... PROGRAM [ARGUMENT]...
5.60 +
5.61 +Handle \`PROGRAM [ARGUMENT]...' for when PROGRAM is missing, or return an
5.62 +error status if there is no known handling for PROGRAM.
5.63 +
5.64 +Options:
5.65 + -h, --help display this help and exit
5.66 + -v, --version output version information and exit
5.67 + --run try to run the given command, and emulate it if it fails
5.68 +
5.69 +Supported PROGRAM values:
5.70 + aclocal touch file \`aclocal.m4'
5.71 + autoconf touch file \`configure'
5.72 + autoheader touch file \`config.h.in'
5.73 + automake touch all \`Makefile.in' files
5.74 + bison create \`y.tab.[ch]', if possible, from existing .[ch]
5.75 + flex create \`lex.yy.c', if possible, from existing .c
5.76 + help2man touch the output file
5.77 + lex create \`lex.yy.c', if possible, from existing .c
5.78 + makeinfo touch the output file
5.79 + tar try tar, gnutar, gtar, then tar without non-portable flags
5.80 + yacc create \`y.tab.[ch]', if possible, from existing .[ch]"
5.81 + ;;
5.82 +
5.83 + -v|--v|--ve|--ver|--vers|--versi|--versio|--version)
5.84 + echo "missing 0.4 - GNU automake"
5.85 + ;;
5.86 +
5.87 + -*)
5.88 + echo 1>&2 "$0: Unknown \`$1' option"
5.89 + echo 1>&2 "Try \`$0 --help' for more information"
5.90 + exit 1
5.91 + ;;
5.92 +
5.93 + aclocal*)
5.94 + if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
5.95 + # We have it, but it failed.
5.96 + exit 1
5.97 + fi
5.98 +
5.99 + echo 1>&2 "\
5.100 +WARNING: \`$1' is missing on your system. You should only need it if
5.101 + you modified \`acinclude.m4' or \`${configure_ac}'. You might want
5.102 + to install the \`Automake' and \`Perl' packages. Grab them from
5.103 + any GNU archive site."
5.104 + touch aclocal.m4
5.105 + ;;
5.106 +
5.107 + autoconf)
5.108 + if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
5.109 + # We have it, but it failed.
5.110 + exit 1
5.111 + fi
5.112 +
5.113 + echo 1>&2 "\
5.114 +WARNING: \`$1' is missing on your system. You should only need it if
5.115 + you modified \`${configure_ac}'. You might want to install the
5.116 + \`Autoconf' and \`GNU m4' packages. Grab them from any GNU
5.117 + archive site."
5.118 + touch configure
5.119 + ;;
5.120 +
5.121 + autoheader)
5.122 + if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
5.123 + # We have it, but it failed.
5.124 + exit 1
5.125 + fi
5.126 +
5.127 + echo 1>&2 "\
5.128 +WARNING: \`$1' is missing on your system. You should only need it if
5.129 + you modified \`acconfig.h' or \`${configure_ac}'. You might want
5.130 + to install the \`Autoconf' and \`GNU m4' packages. Grab them
5.131 + from any GNU archive site."
5.132 + files=`sed -n 's/^[ ]*A[CM]_CONFIG_HEADER(\([^)]*\)).*/\1/p' ${configure_ac}`
5.133 + test -z "$files" && files="config.h"
5.134 + touch_files=
5.135 + for f in $files; do
5.136 + case "$f" in
5.137 + *:*) touch_files="$touch_files "`echo "$f" |
5.138 + sed -e 's/^[^:]*://' -e 's/:.*//'`;;
5.139 + *) touch_files="$touch_files $f.in";;
5.140 + esac
5.141 + done
5.142 + touch $touch_files
5.143 + ;;
5.144 +
5.145 + automake*)
5.146 + if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
5.147 + # We have it, but it failed.
5.148 + exit 1
5.149 + fi
5.150 +
5.151 + echo 1>&2 "\
5.152 +WARNING: \`$1' is missing on your system. You should only need it if
5.153 + you modified \`Makefile.am', \`acinclude.m4' or \`${configure_ac}'.
5.154 + You might want to install the \`Automake' and \`Perl' packages.
5.155 + Grab them from any GNU archive site."
5.156 + find . -type f -name Makefile.am -print |
5.157 + sed 's/\.am$/.in/' |
5.158 + while read f; do touch "$f"; done
5.159 + ;;
5.160 +
5.161 + autom4te)
5.162 + if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
5.163 + # We have it, but it failed.
5.164 + exit 1
5.165 + fi
5.166 +
5.167 + echo 1>&2 "\
5.168 +WARNING: \`$1' is needed, and you do not seem to have it handy on your
5.169 + system. You might have modified some files without having the
5.170 + proper tools for further handling them.
5.171 + You can get \`$1' as part of \`Autoconf' from any GNU
5.172 + archive site."
5.173 +
5.174 + file=`echo "$*" | sed -n 's/.*--output[ =]*\([^ ]*\).*/\1/p'`
5.175 + test -z "$file" && file=`echo "$*" | sed -n 's/.*-o[ ]*\([^ ]*\).*/\1/p'`
5.176 + if test -f "$file"; then
5.177 + touch $file
5.178 + else
5.179 + test -z "$file" || exec >$file
5.180 + echo "#! /bin/sh"
5.181 + echo "# Created by GNU Automake missing as a replacement of"
5.182 + echo "# $ $@"
5.183 + echo "exit 0"
5.184 + chmod +x $file
5.185 + exit 1
5.186 + fi
5.187 + ;;
5.188 +
5.189 + bison|yacc)
5.190 + echo 1>&2 "\
5.191 +WARNING: \`$1' is missing on your system. You should only need it if
5.192 + you modified a \`.y' file. You may need the \`Bison' package
5.193 + in order for those modifications to take effect. You can get
5.194 + \`Bison' from any GNU archive site."
5.195 + rm -f y.tab.c y.tab.h
5.196 + if [ $# -ne 1 ]; then
5.197 + eval LASTARG="\${$#}"
5.198 + case "$LASTARG" in
5.199 + *.y)
5.200 + SRCFILE=`echo "$LASTARG" | sed 's/y$/c/'`
5.201 + if [ -f "$SRCFILE" ]; then
5.202 + cp "$SRCFILE" y.tab.c
5.203 + fi
5.204 + SRCFILE=`echo "$LASTARG" | sed 's/y$/h/'`
5.205 + if [ -f "$SRCFILE" ]; then
5.206 + cp "$SRCFILE" y.tab.h
5.207 + fi
5.208 + ;;
5.209 + esac
5.210 + fi
5.211 + if [ ! -f y.tab.h ]; then
5.212 + echo >y.tab.h
5.213 + fi
5.214 + if [ ! -f y.tab.c ]; then
5.215 + echo 'main() { return 0; }' >y.tab.c
5.216 + fi
5.217 + ;;
5.218 +
5.219 + lex|flex)
5.220 + echo 1>&2 "\
5.221 +WARNING: \`$1' is missing on your system. You should only need it if
5.222 + you modified a \`.l' file. You may need the \`Flex' package
5.223 + in order for those modifications to take effect. You can get
5.224 + \`Flex' from any GNU archive site."
5.225 + rm -f lex.yy.c
5.226 + if [ $# -ne 1 ]; then
5.227 + eval LASTARG="\${$#}"
5.228 + case "$LASTARG" in
5.229 + *.l)
5.230 + SRCFILE=`echo "$LASTARG" | sed 's/l$/c/'`
5.231 + if [ -f "$SRCFILE" ]; then
5.232 + cp "$SRCFILE" lex.yy.c
5.233 + fi
5.234 + ;;
5.235 + esac
5.236 + fi
5.237 + if [ ! -f lex.yy.c ]; then
5.238 + echo 'main() { return 0; }' >lex.yy.c
5.239 + fi
5.240 + ;;
5.241 +
5.242 + help2man)
5.243 + if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
5.244 + # We have it, but it failed.
5.245 + exit 1
5.246 + fi
5.247 +
5.248 + echo 1>&2 "\
5.249 +WARNING: \`$1' is missing on your system. You should only need it if
5.250 + you modified a dependency of a manual page. You may need the
5.251 + \`Help2man' package in order for those modifications to take
5.252 + effect. You can get \`Help2man' from any GNU archive site."
5.253 +
5.254 + file=`echo "$*" | sed -n 's/.*-o \([^ ]*\).*/\1/p'`
5.255 + if test -z "$file"; then
5.256 + file=`echo "$*" | sed -n 's/.*--output=\([^ ]*\).*/\1/p'`
5.257 + fi
5.258 + if [ -f "$file" ]; then
5.259 + touch $file
5.260 + else
5.261 + test -z "$file" || exec >$file
5.262 + echo ".ab help2man is required to generate this page"
5.263 + exit 1
5.264 + fi
5.265 + ;;
5.266 +
5.267 + makeinfo)
5.268 + if test -z "$run" && (makeinfo --version) > /dev/null 2>&1; then
5.269 + # We have makeinfo, but it failed.
5.270 + exit 1
5.271 + fi
5.272 +
5.273 + echo 1>&2 "\
5.274 +WARNING: \`$1' is missing on your system. You should only need it if
5.275 + you modified a \`.texi' or \`.texinfo' file, or any other file
5.276 + indirectly affecting the aspect of the manual. The spurious
5.277 + call might also be the consequence of using a buggy \`make' (AIX,
5.278 + DU, IRIX). You might want to install the \`Texinfo' package or
5.279 + the \`GNU make' package. Grab either from any GNU archive site."
5.280 + file=`echo "$*" | sed -n 's/.*-o \([^ ]*\).*/\1/p'`
5.281 + if test -z "$file"; then
5.282 + file=`echo "$*" | sed 's/.* \([^ ]*\) *$/\1/'`
5.283 + file=`sed -n '/^@setfilename/ { s/.* \([^ ]*\) *$/\1/; p; q; }' $file`
5.284 + fi
5.285 + touch $file
5.286 + ;;
5.287 +
5.288 + tar)
5.289 + shift
5.290 + if test -n "$run"; then
5.291 + echo 1>&2 "ERROR: \`tar' requires --run"
5.292 + exit 1
5.293 + fi
5.294 +
5.295 + # We have already tried tar in the generic part.
5.296 + # Look for gnutar/gtar before invocation to avoid ugly error
5.297 + # messages.
5.298 + if (gnutar --version > /dev/null 2>&1); then
5.299 + gnutar "$@" && exit 0
5.300 + fi
5.301 + if (gtar --version > /dev/null 2>&1); then
5.302 + gtar "$@" && exit 0
5.303 + fi
5.304 + firstarg="$1"
5.305 + if shift; then
5.306 + case "$firstarg" in
5.307 + *o*)
5.308 + firstarg=`echo "$firstarg" | sed s/o//`
5.309 + tar "$firstarg" "$@" && exit 0
5.310 + ;;
5.311 + esac
5.312 + case "$firstarg" in
5.313 + *h*)
5.314 + firstarg=`echo "$firstarg" | sed s/h//`
5.315 + tar "$firstarg" "$@" && exit 0
5.316 + ;;
5.317 + esac
5.318 + fi
5.319 +
5.320 + echo 1>&2 "\
5.321 +WARNING: I can't seem to be able to run \`tar' with the given arguments.
5.322 + You may want to install GNU tar or Free paxutils, or check the
5.323 + command line arguments."
5.324 + exit 1
5.325 + ;;
5.326 +
5.327 + *)
5.328 + echo 1>&2 "\
5.329 +WARNING: \`$1' is needed, and you do not seem to have it handy on your
5.330 + system. You might have modified some files without having the
5.331 + proper tools for further handling them. Check the \`README' file,
5.332 + it often tells you about the needed prerequisites for installing
5.333 + this package. You may also peek at any GNU archive site, in case
5.334 + some other package would contain this missing \`$1' program."
5.335 + exit 1
5.336 + ;;
5.337 +esac
5.338 +
5.339 +exit 0
.